
package de.ivu.elect.business.staat.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.staat.entity.StaatenGruppeTyp;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahltermin;

@GroupedConversationScoped
@ConversationGroup(AbstractStaatenGruppeSearchParameters.class)
public class StaatenGruppeSearchParameters extends AbstractStaatenGruppeSearchParameters {

  private static final long serialVersionUID = 1L;

  private StaatenGruppeTyp staatenGruppeTyp;

  public StaatenGruppeSearchParameters() {
    super();
  }

  public StaatenGruppeTyp getStaatenGruppeTyp() {
    return staatenGruppeTyp;
  }

  public boolean hasStaatenGruppeTyp() {
    return getStaatenGruppeTyp() != null;
  }

  public void setStaatenGruppeTyp(StaatenGruppeTyp staatenGruppeTyp) {
    this.staatenGruppeTyp = staatenGruppeTyp;
  }

  public boolean hasWahl() {
    return isWahlSelected();
  }

  public Wahl getWahl() {
    return getSelectedWahl();
  }

  public boolean hasWahltermin() {
    return isWahlterminSelected();
  }

  public Wahltermin getWahltermin() {
    return getSelectedWahltermin();
  }
}
